<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Package net.sf.vex.dom.impl</title>
</head>
<body>

<p>Implementation classes for the Vex DOM.</p>

<h2>Package Specification</h2>

<p>This package contains classes implementing the Vex DOM interfaces in 
{@link net.sf.vex.dom}. Use of these classes outside net.sf.vex.dom should 
be limited to a minimum, as we intend to replace these classes.</p>

<h3>Critical points for the refactoring outside of {@link net.sf.vex.dom}</h3>

<p>The following classes / methods use implementation classes and thus need
work before we can swap the model:</p>

<dl>
	<dt>{@link net.sf.vex.css.PseudoElement}</dt>
	<dd>An implementation for the :before and :after stuff, which descends from 
	    {@link net.sf.vex.dom.impl.Element}. We need to do sth here.</dd>
	
	<dt>{@link net.sf.vex.swt.VexWidget.MorphElementAction#run()}, {@link net.sf.vex.swt.VexWidget.InsertElementAction#run()}</dt>
	<dd>Actions that create and modify elements need a new implementation as well.</dd>
	
	<dt>{@link net.sf.vex.swt.VexWidget#showInsertElementPopup()}, {@link net.sf.vex.swt.VexWidget#showMorphElementPopup()}</dt>
	<dd>Need to be reimplemented as well. If possible, use WST's infopops for this.</dd>
	
	<dt>{@link net.sf.vex.editor.NewDocumentWizard#performFinish()}</dt>
	<dd>Creates a new document and thus will be replaced anyway.</dd>
	
	<dt>{@link net.sf.vex.widget.VexWidgetImpl#split()}</dt>
	<dd>FIXME Don't know what it does by now, but it looks evil. -tv</dd>
	
</dl>
 

</body>
</html>